Package com.isomorphic.servlet

# Class BaseServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.isomorphic.servlet.BaseServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `DataSourceLoader`, `FeatureExplorerRPC`, `FileAssembly`, `FileDownload`, `HSQLShutdown`, `HttpProxyServlet`, `IDACall`, `MessagingServlet`, `PreCache`, `RESTHandler`, `ScreenLoaderServlet`

public class BaseServlet extends jakarta.servlet.http.HttpServlet
BaseServlet is extended by most servlets in the Isomorphic Framework, as it provides:

- standard global variables in a safe manner to subclasses
- support for servlet container-based filesystem access

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `handleError(jakarta.servlet.http.HttpServletResponse response, String errorMessage, Throwable t)`
  Convenience method for handling unrecoverable errors.
  `void`
  `handleError(jakarta.servlet.http.HttpServletResponse response, Throwable t)`
  Overload for `handleError(HttpServletResponse, String, Throwable)`

- ## Method Details

  - ### handleError

    public void handleError(jakarta.servlet.http.HttpServletResponse response, Throwable t)
    Overload for `handleError(HttpServletResponse, String, Throwable)`

  - ### handleError

    public void handleError(jakarta.servlet.http.HttpServletResponse response, String errorMessage, Throwable t)
    Convenience method for handling unrecoverable errors. The error message of provided `Throwable` will be written to provided HTTP response. If `servlet.sendStackTraceToClient` framework setting is `true` then `stacktrace` will also be included.

    Error with additionally provided `errorMessage` and `stacktrace` will be printed to log as well.

    Parameters:
      `response` - HTTP response
      `errorMessage` - error message for logging only
      `t` - error to write